<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
  <meta charset="UTF-8">
  <title>Import Employee Schedule</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
  <h1>
    Import
    <small>Employee Schedule</small>
  </h1>
  <ol class="breadcrumb">
    <li class="treeview active"> Employee Schedule</li>
    <li class="active"> Import</li>
  </ol>
</section>

<section layout:fragment="main" class="content">


  <div class="row">

    <div class="col-md-3">
      <div class="box box-solid">
        <div class="box-header with-border">
          <h3 class="box-title">Tab</h3>

          <div class="box-tools">
            <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
            </button>
          </div>
        </div>
        <div class="box-body no-padding">
          <ul class="nav nav-pills nav-stacked">
            <li>
              <a th:href="@{/setting/timemanagement/pattern}"><i class="fa fa-inbox"></i> Pattern </a>
            </li>
            <li>
              <a th:href="@{/setting/timemanagement/pattern/schedule}"><i class="fa fa-inbox"></i> Pattern Schedule </a>
            </li>
            <li>
              <a th:href="@{/setting/timemanagement/employee/schedule}"><i class="fa fa-inbox"></i> Employee Schedule </a>
            </li>
            <li>
              <a th:href="@{/setting/timemanagement/employee/schedule/view}"><i class="fa fa-inbox"></i> Employee Schedule View </a>
            </li>
            <li class="active">
              <a th:href="@{/setting/timemanagement/employee/schedule/impor}"><i class="fa fa-inbox"></i> Import Employee Schedule </a>
            </li>
            <li>
              <a th:href="@{/setting/timemanagement/machine}"><i class="fa fa-inbox"></i> machine </a>
            </li>
          </ul>
        </div>
        <!-- /.box-body -->
      </div>
    </div>
    <div class="col-md-6">

      <div class="callout callout-success" th:if="${success != null}">
        <h4>Impor Data Success!</h4>

        <p>Data Berhasil Disimpan.</p>
      </div>

      <div class="callout callout-danger" th:if="${gagalimpor != null}">
        <h4>Impor Data Failed!</h4>

        <p th:text="${gagalimpor}">Data Berhasil Disimpan.</p>
      </div>


      <div class="callout callout-success" th:if="${successimpor != null}">
        <h4>Impor Data Success!</h4>

        <p>Data Berhasil Disimpan.</p>
      </div>
      <!-- Horizontal Form -->
      <div class="box box-info">

        <div class="box-header with-border">
          <h4 class="modal-title">Import Employee Schedule</h4>
        </div>
        <form th:action="@{/setting/timemanagement/employee/schedule/export}" method="post" enctype="multipart/form-data">
          <div class="box-body">
            <div class="row">
              <div class="col-md-6">

                <div class="form-group">
                  <label for="companies" class="col-sm-2 control-label">Branch</label>

                  <div class="col-sm-10">
                    <select class="form-control select2" name="companies" id="companies" style="width: 100%;">
                      <option th:each="datass : ${listCompanies}"
                              th:selected="(${datass} == *{companiesSelected})"
                              th:text="${datass.companyName}"
                              th:value="${datass.id}">sdasd</option>
                      <option th:text="All">All</option>
                    </select>
                  </div>
                </div>

                <div class="form-group">
                  <label for="bulan" class="col-sm-2 control-label">Month</label>

                  <div class="col-sm-10">
                    <select class="form-control select2" name="bulan" id="bulan" style="width: 100%;">
                      <option th:each="datas : ${listBulan}"
                              th:selected="(${datas} == *{bulanSelected})"
                              th:text="${datas.nama}"
                              th:value="${datas.nomor}">sdasd</option>
                    </select>
                  </div>
                </div>

                <div class="form-group">
                  <label for="tahun" class="col-sm-2 control-label">Year</label>

                  <div class="col-sm-10">
                    <select class="form-control select2" name="tahun" id="tahun" style="width: 100%;">
                      <option th:each="datass : ${listTahun}"
                              th:selected="(${datass} == *{tahunSelected})"
                              th:text="${datass.tahun}"
                              th:value="${datass.tahun}">sdasd</option>
                    </select>
                  </div>
                </div>
              </div>
              <div class="col-md-6">
                <button type="submit" class="btn btn-info pull-left"><i class="ion-android-download"></i> Download Template</button>
              </div>
            </div>
          </div>
        </form>
          <div class="box-footer">

            <form th:action="@{/setting/timemanagement/employee/schedule/list}" method="post" enctype="multipart/form-data">
            <button type="submit" class="btn btn-default pull-left">Shift List</button>
            </form>

<!--            <input th:type="submit" class="btn btn-default pull-right" value="Import" />-->

            <button type="button" class="btn btn-default pull-right" data-toggle="modal" data-target="#modal-import-schedule">
              <i class="ion-android-upload"></i> Import Schedule
            </button>

            <div class="modal fade" id="modal-import-schedule">
              <div class="modal-dialog">
                <div class="modal-content">
                  <form th:action="@{/setting/timemanagement/employee/schedule/impor/process}" method="post" enctype="multipart/form-data">
                    <div class="modal-header">
                      <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span></button>
                      <h4 class="modal-title">Import Data Employee Schedule</h4>
                    </div>
                    <div class="modal-body">
                      <input type="file" th:name="file" />
                    </div>
                    <div class="modal-footer">
                      <button type="button" class="btn btn-default pull-left" data-dismiss="modal">Close</button>
                      <input th:type="submit" value="Import" />
                    </div>
                  </form>
                </div>
                <!-- /.modal-content -->
              </div>
              <!-- /.modal-dialog -->
            </div>

          </div>

      </div>
    </div>
  </div>


</section>

<section layout:fragment="footer" class="script">
  <script>
    $(function () {
      //Initialize Select2 Elements
      $('.select2').select2()

      //Datemask dd/mm/yyyy
      $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })
      //Datemask2 mm/dd/yyyy
      $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
      //Money Euro
      $('[data-mask]').inputmask()

      //Date range picker
      $('#reservation').daterangepicker()
      //Date range picker with time picker
      $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
      //Date range as a button
      $('#daterange-btn').daterangepicker(
              {
                ranges   : {
                  'Today'       : [moment(), moment()],
                  'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                  'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                  'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                  'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                  'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                },
                startDate: moment().subtract(29, 'days'),
                endDate  : moment()
              },
              function (start, end) {
                $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
              }
      )

      //Date picker
      $('#datepicker').datepicker({
        autoclose: true
      })

      //iCheck for checkbox and radio inputs
      $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
        checkboxClass: 'icheckbox_minimal-blue',
        radioClass   : 'iradio_minimal-blue'
      })
      //Red color scheme for iCheck
      $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
        checkboxClass: 'icheckbox_minimal-red',
        radioClass   : 'iradio_minimal-red'
      })
      //Flat red color scheme for iCheck
      $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
        checkboxClass: 'icheckbox_flat-green',
        radioClass   : 'iradio_flat-green'
      })

      //Colorpicker
      $('.my-colorpicker1').colorpicker()
      //color picker with addon
      $('.my-colorpicker2').colorpicker()

      //Timepicker
      $('.timepicker').timepicker({
        showInputs: false
      })
    })
  </script>
  <script>
    $(".js-example-placeholder-single").select2({
      placeholder: "Pilih Salah Satu",
      allowClear: true
    });

    $('.simpan').click(function () {
      Swal.fire({
        position: 'top-end',
        type: 'success',
        title: 'Your work has been saved',
        showConfirmButton: false
      })
    });
  </script>
</section>
</body>
</html>
</body>
</html>